Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F90	(revision 5117)
@@ -48,5 +48,5 @@
   REAL :: totn, tots
 
-  logical :: firstcall, firsttest, aire_ok
+  LOGICAL :: firstcall, firsttest, aire_ok
   save firsttest
   data firsttest /.TRUE./
@@ -108,5 +108,5 @@
   !---------------------------------------------------------------
   !  TEST  TEST  TEST  TEST  TEST  TEST  TEST  TEST  TEST  TEST
-  !!       if (.not.(firsttest)) goto 99
+  !!       if (.NOT.(firsttest)) goto 99
   !!       firsttest = .FALSE.
   !! !     write (*,*) 'INTERP. HORIZ. : TEST SUR LES AIRES:'
@@ -128,5 +128,5 @@
   !!        do ii=1, imn+1
   !!          r = airen(ii,jj)/airetest(ii,jj)
-  !!          if ((r.gt.1.001).or.(r.lt.0.999)) THEN
+  !!          if ((r.gt.1.001).OR.(r.lt.0.999)) THEN
   !! !             write (*,*) '********** PROBLEME D'' AIRES !!!',
   !! !     &                   ' DANS L''INTERPOLATION HORIZONTALE'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90	(revision 5117)
@@ -7,14 +7,14 @@
 
   !IM : pour sortir les param. du modele dans un fis. netcdf 110106
-  use IOIPSL
+  USE IOIPSL
   USE infotrac, ONLY: nqtot, isoCheck
   USE guide_mod, ONLY: guide_main
-  USE write_field, ONLY: writefield
+  USE lmdz_write_field, ONLY: writefield
   USE control_mod, ONLY: nday, day_step, planet_type, offline, &
           iconser, iphysiq, iperiod, dissip_period, &
           iecri, ip_ebil_dyn, ok_dynzon, ok_dyn_ins, &
           periodav, ok_dyn_ave, output_grads_dyn
-  use exner_hyb_m, ONLY: exner_hyb
-  use exner_milieu_m, ONLY: exner_milieu
+  USE exner_hyb_m, ONLY: exner_hyb
+  USE exner_milieu_m, ONLY: exner_milieu
   USE comvert_mod, ONLY: ap, bp, pressure_exner, presnivs
   USE comconst_mod, ONLY: cpp, dtphys, dtvr, pi, ihf
@@ -23,5 +23,5 @@
   USE temps_mod, ONLY: jD_ref, jH_ref, itaufin, day_ini, day_ref, &
           start_time, dt
-  USE strings_mod, ONLY: msg
+  USE lmdz_strings, ONLY: msg
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS
   USE lmdz_description, ONLY: descript
@@ -146,7 +146,7 @@
   REAL :: zx_tmp_2d(iip1, jjp1)
   INTEGER :: ndex2d(iip1 * jjp1)
-  logical :: ok_sync
+  LOGICAL :: ok_sync
   parameter (ok_sync = .TRUE.)
-  logical :: physic
+  LOGICAL :: physic
 
   data callinigrads/.TRUE./
@@ -174,5 +174,5 @@
   CHARACTER(LEN = 80) :: abort_message
 
-  logical :: dissip_conservative
+  LOGICAL :: dissip_conservative
   save dissip_conservative
   data dissip_conservative/.TRUE./
@@ -188,13 +188,13 @@
   INTEGER :: itau_w   ! pas de temps ecriture = itap + itau_phy
 
-  if (nday>=0) THEN
+  IF (nday>=0) THEN
     itaufin = nday * day_step
   else
     itaufin = -nday
-  endif
+  ENDIF
   itaufinp1 = itaufin + 1
   itau = 0
   physic = .TRUE.
-  if (iflag_phys==0.or.iflag_phys==2) physic = .FALSE.
+  IF (iflag_phys==0.OR.iflag_phys==2) physic = .FALSE.
 
   ! iday = day_ini+itau/day_step
@@ -212,9 +212,9 @@
   dq(:, :, :) = 0.
   CALL pression (ip1jmp1, ap, bp, ps, p)
-  if (pressure_exner) THEN
+  IF (pressure_exner) THEN
     CALL exner_hyb(ip1jmp1, ps, p, pks, pk, pkf)
   else
     CALL exner_milieu(ip1jmp1, ps, p, pks, pk, pkf)
-  endif
+  ENDIF
 
   !-----------------------------------------------------------------------
@@ -236,7 +236,7 @@
   CALL check_isotopes_seq(q, ip1jmp1, 'leapfrog 321')
 
-  if (ok_guide) THEN
+  IF (ok_guide) THEN
     CALL guide_main(itau,ucov,vcov,teta,q,masse,ps)
-  endif
+  ENDIF
 
 
@@ -299,5 +299,5 @@
             apdiss = .TRUE.
     IF(MOD(itau, iphysiq)==0.AND..NOT.forward &
-            .and. physic) apphys = .TRUE.
+            .AND. physic) apphys = .TRUE.
   ELSE
     ! Leapfrog/Matsuno time stepping
@@ -310,7 +310,7 @@
   ! Ehouarn: for Shallow Water case (ie: 1 vertical layer),
   ! supress dissipation step
-  if (llm==1) THEN
+  IF (llm==1) THEN
     apdiss = .FALSE.
-  endif
+  ENDIF
 
   CALL check_isotopes_seq(q, ip1jmp1, 'leapfrog 589')
@@ -389,5 +389,5 @@
 
     CALL pression (ip1jmp1, ap, bp, ps, p)
-    if (pressure_exner) THEN
+    IF (pressure_exner) THEN
       CALL exner_hyb(ip1jmp1, ps, p, pks, pk, pkf)
     else
@@ -453,5 +453,5 @@
     CALL pression (ip1jmp1, ap, bp, ps, p)
     CALL massdair(p, masse)
-    if (pressure_exner) THEN
+    IF (pressure_exner) THEN
       CALL exner_hyb(ip1jmp1, ps, p, pks, pk, pkf)
     else
@@ -485,5 +485,5 @@
     ENDDO ! of DO l=1,llm
 
-    if (planet_type=="giant") THEN
+    IF (planet_type=="giant") THEN
       ! add an intrinsic heat flux at the base of the atmosphere
       teta(:, 1) = teta(:, 1) + dtvr * aire(:) * ihf / cpp / masse(:, 1)
@@ -511,9 +511,9 @@
 
   CALL pression (ip1jmp1, ap, bp, ps, p)
-  if (pressure_exner) THEN
+  IF (pressure_exner) THEN
     CALL exner_hyb(ip1jmp1, ps, p, pks, pk, pkf)
   else
     CALL exner_milieu(ip1jmp1, ps, p, pks, pk, pkf)
-  endif
+  ENDIF
   CALL massdair(p, masse)
 
@@ -539,5 +539,5 @@
 
     !------------------------------------------------------------------------
-    if (dissip_conservative) THEN
+    IF (dissip_conservative) THEN
       ! On rajoute la tendance due a la transform. Ec -> E therm. cree
       ! lors de la dissipation
@@ -570,5 +570,5 @@
     ENDDO
 
-    if (1 == 0) THEN
+    IF (1 == 0) THEN
       !!! Ehouarn: lines here 1) kill 1+1=2 in the dynamics
       !!!                     2) should probably not be here anyway
@@ -621,5 +621,5 @@
 
     IF(itau == itaufinp1) THEN
-      if (flag_verif) THEN
+      IF (flag_verif) THEN
         WRITE(79, *) 'ucov', ucov
         WRITE(80, *) 'vcov', vcov
@@ -668,5 +668,5 @@
     IF(MOD(itau, iecri)==0) THEN
       ! ! Ehouarn: output only during LF or Backward Matsuno
-      if (leapf.or.(.not.leapf.and.(.not.forward))) THEN
+      IF (leapf.OR.(.NOT.leapf.AND.(.NOT.forward))) THEN
         CALL geopot(ip1jmp1, teta, pk, pks, phis, phi)
         unat = 0.
@@ -675,5 +675,5 @@
           vnat(:, l) = vcov(:, l) / cv(:)
         enddo
-          if (ok_dyn_ins) THEN
+          IF (ok_dyn_ins) THEN
             ! WRITE(lunout,*) "leapfrog: CALL writehist, itau=",itau
            CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
@@ -685,8 +685,8 @@
           endif ! of if (ok_dyn_ins)
         ! For some Grads outputs of fields
-        if (output_grads_dyn) THEN
+        IF (output_grads_dyn) THEN
           include "write_grads_dyn.h"
         endif
-      endif ! of if (leapf.or.(.not.leapf.and.(.not.forward)))
+      endif ! of if (leapf.OR.(.NOT.leapf.AND.(.NOT.forward)))
     ENDIF ! of IF(MOD(itau,iecri).EQ.0)
 
@@ -694,12 +694,12 @@
 
 
-      ! if (planet_type.eq."earth") THEN
+      ! if (planet_type.EQ."earth") THEN
       ! Write an Earth-format restart file
       CALL dynredem1("restart.nc", start_time, &
               vcov, ucov, teta, q, masse, ps)
-      ! endif ! of if (planet_type.eq."earth")
+      ! END IF ! of if (planet_type.EQ."earth")
 
       CLOSE(99)
-      if (ok_guide) THEN
+      IF (ok_guide) THEN
         ! ! set ok_guide to false to avoid extra output
         ! ! in following forward step
@@ -741,5 +741,5 @@
     ! !    ELSEIF (MOD(itau-1,iperiod).EQ.0)
 
-  ELSE ! of IF (.not.purmats)
+  ELSE ! of IF (.NOT.purmats)
 
     CALL check_isotopes_seq(q, ip1jmp1, 'leapfrog 1664')
@@ -799,5 +799,5 @@
           vnat(:, l) = vcov(:, l) / cv(:)
         enddo
-          if (ok_dyn_ins) THEN
+          IF (ok_dyn_ins) THEN
              ! WRITE(lunout,*) "leapfrog: CALL writehist (b)",
   ! &                        itau,iecri
@@ -805,5 +805,5 @@
           endif ! of if (ok_dyn_ins)
         ! For some Grads outputs
-        if (output_grads_dyn) THEN
+        IF (output_grads_dyn) THEN
           include "write_grads_dyn.h"
         endif
@@ -812,9 +812,9 @@
 
       IF(itau==itaufin) THEN
-        ! if (planet_type.eq."earth") THEN
+        ! if (planet_type.EQ."earth") THEN
         CALL dynredem1("restart.nc", start_time, &
                 vcov, ucov, teta, q, masse, ps)
-        ! endif ! of if (planet_type.eq."earth")
-        if (ok_guide) THEN
+        ! END IF ! of if (planet_type.EQ."earth")
+        IF (ok_guide) THEN
           ! ! set ok_guide to false to avoid extra output
           ! ! in following forward step
@@ -828,5 +828,5 @@
     ENDIF ! of IF (forward)
 
-  END IF ! of IF(.not.purmats)
+  END IF ! of IF(.NOT.purmats)
 
 END SUBROUTINE leapfrog
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90	(revision 5117)
@@ -4,6 +4,6 @@
 
   USE infotrac, ONLY: niso, ntiso, iqIsoPha, tracers
-  USE strings_mod, ONLY: strIdx
-  USE readTracFiles_mod, ONLY: addPhase
+  USE lmdz_strings, ONLY: strIdx
+  USE lmdz_readTracFiles, ONLY: addPhase
   IMPLICIT none
   !
@@ -64,6 +64,6 @@
   DO k = 1, llm
     DO i = 1, ip1jmp1
-      if (seuil_liq - q(i, k, iq_liq) > 0.d0) THEN
-        if (niso > 0) zx_defau_diag(i, k, 2) = AMAX1 &
+      IF (seuil_liq - q(i, k, iq_liq) > 0.d0) THEN
+        IF (niso > 0) zx_defau_diag(i, k, 2) = AMAX1 &
                 (seuil_liq - q(i, k, iq_liq), 0.0)
 
@@ -80,6 +80,6 @@
     !cc      zx_abc = dpres(k) / dpres(k-1)
     DO i = 1, ip1jmp1
-      if (seuil_vap - q(i, k, iq_vap) > 0.d0) THEN
-        if (niso > 0) zx_defau_diag(i, k, 1) &
+      IF (seuil_vap - q(i, k, iq_vap) > 0.d0) THEN
+        IF (niso > 0) zx_defau_diag(i, k, 1) &
                 = AMAX1(seuil_vap - q(i, k, iq_vap), 0.0)
 
@@ -112,5 +112,5 @@
 
   !WRITE(*,*) 'qminimum 128'
-  if (niso > 0) THEN
+  IF (niso > 0) THEN
     ! CRisi: traiter de même les traceurs d'eau
     ! Mais il faut les prendre à l'envers pour essayer de conserver la
@@ -121,5 +121,5 @@
     ! génant
     DO i = 1, ip1jmp1
-      if (zx_pump(i)>0.0) THEN
+      IF (zx_pump(i)>0.0) THEN
         q_follow(i, 1, 1) = q_follow(i, 1, 1) + zx_pump(i)
       endif !if (zx_pump(i).gt.0.0) THEN
@@ -130,5 +130,5 @@
     do k = 2, llm
       DO i = 1, ip1jmp1
-        if (zx_defau_diag(i, k, 1)>0.0) THEN
+        IF (zx_defau_diag(i, k, 1)>0.0) THEN
           ! on ajoute la vapeur en k
           do ixt = 1, ntiso
@@ -162,5 +162,5 @@
     do k = 1, llm
       DO i = 1, ip1jmp1
-        if (zx_defau_diag(i, k, 2)>0.0) THEN
+        IF (zx_defau_diag(i, k, 2)>0.0) THEN
           ! ! on ajoute eau liquide en k en k
           do ixt = 1, ntiso
@@ -183,5 +183,5 @@
     CALL check_isotopes_seq(q, ip1jmp1, 'qminimum 197')
 
-  endif !if (niso > 0) THEN
+  ENDIF !if (niso > 0) THEN
   ! !WRITE(*,*) 'qminimum 188'
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90	(revision 5117)
@@ -101,5 +101,5 @@
   CALL conf_gcm( 99, .TRUE.)
 
-  if (mod(iphysiq, iperiod) /= 0) CALL abort_gcm("conf_gcm", &
+  IF (mod(iphysiq, iperiod) /= 0) CALL abort_gcm("conf_gcm", &
        "iphysiq must be a multiple of iperiod", 1)
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90	(revision 5117)
@@ -29,5 +29,5 @@
 
   INTEGER :: ilon, ilev
-  logical :: lnew
+  LOGICAL :: lnew
 
   REAL :: pgcm(ilon, ilev)
@@ -54,5 +54,5 @@
   ! PRINT*,'tetalevel pres=',pres
   !=====================================================================
-  if (lnew) THEN
+  IF (lnew) THEN
     !   on réinitialise les réindicages et les poids
     !=====================================================================
@@ -110,5 +110,5 @@
     enddo
 
-  endif ! lnew
+  ENDIF ! lnew
 
   !======================================================================
@@ -125,5 +125,5 @@
   do i = 1, ilon
     !IM      if (pgcm(i,1).LT.pres) THEN
-    if (pgcm(i, 1)>pres) THEN
+    IF (pgcm(i, 1)>pres) THEN
       ! Qpres(i)=1e33
       Qpres(i) = 1e+20
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90	(revision 5117)
@@ -29,5 +29,5 @@
 
   INTEGER :: ilon, ilev
-  logical :: lnew
+  LOGICAL :: lnew
 
   REAL :: pgcm(ilon, ilev)
@@ -54,5 +54,5 @@
   ! PRINT*,'tetalevel pres=',pres
   !=====================================================================
-  if (lnew) THEN
+  IF (lnew) THEN
     !   on réinitialise les réindicages et les poids
     !=====================================================================
@@ -110,5 +110,5 @@
     enddo
 
-  endif ! lnew
+  ENDIF ! lnew
 
   !======================================================================
@@ -125,5 +125,5 @@
   do i = 1, ilon
     !IM      if (pgcm(i,1).LT.pres) THEN
-    if (pgcm(i, 1)>pres) THEN
+    IF (pgcm(i, 1)>pres) THEN
       ! Qpres(i)=1e33
       Qpres(i) = 1e+20
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90	(revision 5117)
@@ -58,9 +58,9 @@
   !   ----------
 
-  real, intent(inout) :: ucov(iip1, jjp1, llm) ! covariant zonal wind
-  real, intent(inout) :: vcov(iip1, jjm, llm) ! covariant meridional wind
-  real, intent(inout) :: teta(iip1, jjp1, llm) ! potential temperature
-  real, intent(in) :: masse(iip1, jjp1, llm) ! mass of atmosphere
-  real, intent(in) :: dt ! time step (s) of sponge model
+  REAL, INTENT(INOUT) :: ucov(iip1, jjp1, llm) ! covariant zonal wind
+  REAL, INTENT(INOUT) :: vcov(iip1, jjm, llm) ! covariant meridional wind
+  REAL, INTENT(INOUT) :: teta(iip1, jjp1, llm) ! potential temperature
+  REAL, INTENT(IN) :: masse(iip1, jjp1, llm) ! mass of atmosphere
+  REAL, INTENT(IN) :: dt ! time step (s) of sponge model
 
   !   Local:
@@ -72,5 +72,5 @@
   INTEGER :: i
   REAL, SAVE :: rdamp(llm) ! quenching coefficient
-  real, save :: lambda(llm) ! inverse or quenching time scale (Hz)
+  REAL, save :: lambda(llm) ! inverse or quenching time scale (Hz)
 
   LOGICAL, SAVE :: first = .TRUE.
@@ -78,8 +78,8 @@
   INTEGER :: j, l
 
-  if (iflag_top_bound==0) return
+  IF (iflag_top_bound==0) return
 
-  if (first) THEN
-    if (iflag_top_bound==1) THEN
+  IF (first) THEN
+    IF (iflag_top_bound==1) THEN
       ! sponge quenching over the topmost 4 atmospheric layers
       lambda(:) = 0.
@@ -88,5 +88,5 @@
       lambda(llm - 2) = tau_top_bound / 4.
       lambda(llm - 3) = tau_top_bound / 8.
-    else if (iflag_top_bound==2) THEN
+    ELSE IF (iflag_top_bound==2) THEN
       ! sponge quenching over topmost layers down to pressures which are
       ! higher than 100 times the topmost layer pressure
@@ -103,5 +103,5 @@
     WRITE(lunout, *)'p (Pa)  z(km)  tau(s)   1./tau (Hz)'
     do l = 1, llm
-      if (rdamp(l)/=0.) THEN
+      IF (rdamp(l)/=0.) THEN
         WRITE(lunout, '(6(1pe12.4,1x))') &
                 presnivs(l), log(preff / presnivs(l)) * scaleheight, &
@@ -110,10 +110,10 @@
     enddo
     first = .FALSE.
-  endif ! of if (first)
+  ENDIF ! of if (first)
 
   CALL massbar(masse, massebx, masseby)
 
   ! compute zonal average of vcov and u
-  if (mode_top_bound>=2) THEN
+  IF (mode_top_bound>=2) THEN
     do l = 1, llm
       do j = 1, jjm
@@ -144,8 +144,8 @@
     vzon(:, :) = 0.
     uzon(:, :) = 0.
-  endif ! of if (mode_top_bound.ge.2)
+  ENDIF ! of if (mode_top_bound.ge.2)
 
   ! compute zonal average of potential temperature, if necessary
-  if (mode_top_bound>=3) THEN
+  IF (mode_top_bound>=3) THEN
     do l = 1, llm
       do j = 2, jjm ! excluding poles
@@ -159,7 +159,7 @@
       enddo
     enddo
-  endif ! of if (mode_top_bound.ge.3)
+  ENDIF ! of if (mode_top_bound.ge.3)
 
-  if (mode_top_bound>=1) THEN
+  IF (mode_top_bound>=1) THEN
     ! Apply sponge quenching on vcov:
     do l = 1, llm
@@ -181,7 +181,7 @@
       enddo
     enddo
-  endif ! of if (mode_top_bound.ge.1)
+  ENDIF ! of if (mode_top_bound.ge.1)
 
-  if (mode_top_bound>=3) THEN
+  IF (mode_top_bound>=3) THEN
     ! Apply sponge quenching on teta:
     do l = 1, llm
@@ -193,5 +193,5 @@
       enddo
     enddo
-  endif ! of if (mode_top_bound.ge.3)
+  ENDIF ! of if (mode_top_bound.ge.3)
 
 END SUBROUTINE top_bound
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90	(revision 5117)
@@ -293,5 +293,5 @@
 
   IF(n0>0) THEN
-  if (prt_level > 2) PRINT *, &
+  IF (prt_level > 2) PRINT *, &
         'Nombre de points pour lesquels on advect plus que le' &
         ,'contenu de la maille : ',n0
@@ -302,5 +302,5 @@
   !   indicage des mailles concernees par le traitement special
            DO ij=iip2,ip1jm
-              IF(iadvplus(ij,l)==1.and.mod(ij,iip1)/=0) THEN
+              IF(iadvplus(ij,l)==1.AND.mod(ij,iip1)/=0) THEN
                  iju=iju+1
                  indu(iju)=ij
@@ -372,5 +372,5 @@
         !Mvals: veiller a ce qu'on n'ait pas de denominateur nul
         masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
-        if (q(ij,l,iq)>min_qParent) THEN
+        IF (q(ij,l,iq)>min_qParent) THEN
           Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
         else
@@ -688,5 +688,5 @@
         ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
-        if (q(ij,l,iq)>min_qParent) THEN
+        IF (q(ij,l,iq)>min_qParent) THEN
           Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
         else
@@ -855,5 +855,5 @@
         ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
-        if (q(ij,l,iq)>min_qParent) THEN
+        IF (q(ij,l,iq)>min_qParent) THEN
           Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
         else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90	(revision 5117)
@@ -391,5 +391,5 @@
         !   indicage des mailles concernees par le traitement special
         DO ij = iip2, ip1jm
-          IF(iadvplus(ij, l)==1.and.mod(ij, iip1)/=0) THEN
+          IF(iadvplus(ij, l)==1.AND.mod(ij, iip1)/=0) THEN
             iju = iju + 1
             indu(iju) = ij
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90	(revision 5117)
@@ -18,5 +18,5 @@
   REAL :: field(imx * jmx * lmx)
 
-  integer, parameter :: wp = selected_real_kind(p = 6, r = 36)
+  INTEGER, parameter :: wp = selected_real_kind(p = 6, r = 36)
   real(wp) field4(imx * jmx * lmx)
 
@@ -28,7 +28,7 @@
   INTEGER :: im, jm, lm, i, j, l, iv, iii, iji, iif, ijf
 
-  logical :: writectl
+  LOGICAL :: writectl
 
-  writectl = .false.
+  writectl = .FALSE.
 
   ! print*,if,iid(if),jid(if),ifd(if),jfd(if)
@@ -46,5 +46,5 @@
   IF(firsttime(if)) THEN
     IF(name==var(1, if)) THEN
-      firsttime(if) = .false.
+      firsttime(if) = .FALSE.
       ivar(if) = 1
       print*, 'fin de l initialiation de l ecriture du fichier'
@@ -63,10 +63,10 @@
       ! print*,'if ivar(if) nld ',if,ivar(if),nld(ivar(if),if)
     endif
-    writectl = .true.
+    writectl = .TRUE.
     itime(if) = 1
   else
     ivar(if) = mod(ivar(if), nvar(if)) + 1
-    if (ivar(if)==nvar(if)) THEN
-      writectl = .true.
+    IF (ivar(if)==nvar(if)) THEN
+      writectl = .TRUE.
       itime(if) = itime(if) + 1
     endif
@@ -81,5 +81,5 @@
       CALL abort_gcm("wrgrads", "problem", 1)
     endif
-  endif
+  ENDIF
 
   ! print*,'ivar(if),nvar(if),var(ivar(if),if),writectl'
@@ -95,5 +95,5 @@
                     , i = iii, iif), j = iji, ijf)
   enddo
-  if (writectl) THEN
+  IF (writectl) THEN
     file = fichier(if)
     !   WARNING! on reecrase le fichier .ctl a chaque ecriture
@@ -105,7 +105,7 @@
     WRITE(unit(if), '(a12)') 'UNDEF 1.0E30'
     WRITE(unit(if), '(a5,1x,a40)') 'TITLE ', title(if)
-    CALL formcoord(unit(if), im, xd(iii, if), 1., .false., 'XDEF')
-    CALL formcoord(unit(if), jm, yd(iji, if), 1., .true., 'YDEF')
-    CALL formcoord(unit(if), lm, zd(1, if), 1., .false., 'ZDEF')
+    CALL formcoord(unit(if), im, xd(iii, if), 1., .FALSE., 'XDEF')
+    CALL formcoord(unit(if), jm, yd(iji, if), 1., .TRUE., 'YDEF')
+    CALL formcoord(unit(if), lm, zd(1, if), 1., .FALSE., 'ZDEF')
     WRITE(unit(if), '(a4,i10,a30)') &
             'TDEF ', itime(if), ' LINEAR 02JAN1987 1MO '
@@ -123,5 +123,5 @@
     close(unit(if))
 
-  endif ! writectl
+  ENDIF ! writectl
 
 END SUBROUTINE wrgrads
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d/write_paramLMDZ_dyn.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d/write_paramLMDZ_dyn.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d/write_paramLMDZ_dyn.h	(revision 5117)
@@ -107,9 +107,9 @@
      .               zx_tmp_2d,iip1*jjp1,ndex2d)
 c
-      if (calend == 'earth_360d') THEN
+      IF (calend == 'earth_360d') THEN
         zx_tmp_2d(1:iip1,1:jjp1)=1.
-      else if (calend == 'earth_365d') THEN
+      ELSE IF (calend == 'earth_365d') THEN
         zx_tmp_2d(1:iip1,1:jjp1)=2.
-      else if (calend == 'earth_366d') THEN
+      ELSE IF (calend == 'earth_366d') THEN
         zx_tmp_2d(1:iip1,1:jjp1)=3.
       endif
@@ -240,5 +240,5 @@
 c=================================================================
 c
-      if (ok_sync) THEN
+      IF (ok_sync) THEN
         CALL histsync(nid_ctesGCM)
       endif
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90	(revision 5117)
@@ -40,5 +40,5 @@
     n=int(CFLmax)+1
   ! pour reproduire cas VL du code qui appele x,y,z,y,x
-     ! if (nadv.eq.30) n=n/2   ! Pour Prather
+     ! if (nadv.EQ.30) n=n/2   ! Pour Prather
     dtbon=dtvr/n
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/advn.f90	(revision 5117)
@@ -148,5 +148,5 @@
   REAL :: dxqu(ip1jmp1),zqu(ip1jmp1)
   REAL :: zqmax(ip1jmp1),zqmin(ip1jmp1)
-  logical :: extremum(ip1jmp1)
+  LOGICAL :: extremum(ip1jmp1)
 
   INTEGER :: mode
@@ -156,5 +156,5 @@
   !   calcul des pentes en u:
   !   -----------------------
-  if (mode==0) THEN
+  IF (mode==0) THEN
      do l=1,llm
         do ij=1,ip1jm
@@ -230,5 +230,5 @@
      enddo
      do ij=iip2,ip1jm-1
-        if (extremum(ij).and..not.extremum(ij+1)) &
+        IF (extremum(ij).and..not.extremum(ij+1)) &
               qg(ij+1,l)=q(ij,l)
      enddo
@@ -239,5 +239,5 @@
 8888   continue
   enddo
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE advnqx
@@ -265,5 +265,5 @@
   REAL :: dyqv(ip1jm),zqv(ip1jm,llm)
   REAL :: zqmax(ip1jm),zqmin(ip1jm)
-  logical :: extremum(ip1jmp1)
+  LOGICAL :: extremum(ip1jmp1)
 
   INTEGER :: mode
@@ -271,5 +271,5 @@
   data mode/1/
 
-  if (mode==0) THEN
+  IF (mode==0) THEN
      do l=1,llm
         do ij=1,ip1jmp1
@@ -318,6 +318,6 @@
            qs(ij,l)=q(ij,l)
            qn(ij,l)=q(ij,l)
-           ! if (.not.extremum(ij-iip1)) qs(ij-iip1,l)=q(ij,l)
-           ! if (.not.extremum(ij+iip1)) qn(ij+iip1,l)=q(ij,l)
+           ! if (.NOT.extremum(ij-iip1)) qs(ij-iip1,l)=q(ij,l)
+           ! if (.NOT.extremum(ij+iip1)) qn(ij+iip1,l)=q(ij,l)
         else
            qs(ij,l)=zqv(ij,l)
@@ -334,5 +334,5 @@
 
   enddo
-  endif
+  ENDIF
   RETURN
 END SUBROUTINE advnqy
@@ -361,5 +361,5 @@
   REAL :: dzqw(ip1jmp1,llm+1),zqw(ip1jmp1,llm+1)
   REAL :: zqmax(ip1jmp1,llm),zqmin(ip1jmp1,llm)
-  logical :: extremum(ip1jmp1,llm)
+  LOGICAL :: extremum(ip1jmp1,llm)
 
   INTEGER :: mode
@@ -371,5 +371,5 @@
   !   -----------------------
 
-  if (mode==0) THEN
+  IF (mode==0) THEN
      do l=1,llm
         do ij=1,ip1jmp1
@@ -436,6 +436,6 @@
   !    do ij=1,ip1jmp1
   !       IF(extremum(ij,l)) THEN
-  !          if (.not.extremum(ij,l-1)) qh(ij,l-1)=q(ij,l)
-  !          if (.not.extremum(ij,l+1)) qb(ij,l+1)=q(ij,l)
+  !          if (.NOT.extremum(ij,l-1)) qh(ij,l-1)=q(ij,l)
+  !          if (.NOT.extremum(ij,l+1)) qb(ij,l+1)=q(ij,l)
   !       endif
   !    enddo
@@ -449,5 +449,5 @@
   enddo
 
-  endif
+  ENDIF
 
   RETURN
@@ -491,5 +491,5 @@
   REAL :: zm,zq,zsigm,zsigp,zqm,zqp,zu
 
-  logical :: ladvplus(ip1jmp1,llm)
+  LOGICAL :: ladvplus(ip1jmp1,llm)
 
   REAL :: prec
@@ -506,9 +506,9 @@
            !    qd(ij,l)=q(ij,l)
            !    qg(ij,l)=q(ij,l)
-           ! endif
+           ! END IF
            IF(abs(zdq)>prec) THEN
               zsigd(ij,l)=(q(ij,l)-qg(ij,l))/zdq
               zsigg(ij,l)=1.-zsigd(ij,l)
-              ! IF(.not.(zsigd(ij,l).ge.0..and.zsigd(ij,l).le.1. .and.
+              ! IF(.NOT.(zsigd(ij,l).ge.0..and.zsigd(ij,l).le.1. .AND.
   !    s               zsigg(ij,l).ge.0..or.zsigg(ij,l).le.1.) ) THEN
               !    PRINT*,'probleme au point ij=',ij,'  l=',l
@@ -516,5 +516,5 @@
               !    PRINT*,'q d,c,g ',qd(ij,l),q(ij,l),qg(ij,l),zdq
               !    stop
-              ! endif
+              ! END IF
            else
               zsigd(ij,l)=0.5
@@ -530,5 +530,5 @@
    do l=1,llm
    do ij=iip2,ip1jm-1
-      if (u_m(ij,l)>=0.) THEN
+      IF (u_m(ij,l)>=0.) THEN
          zsigp=zsigd(ij,l)
          zsigm=zsigg(ij,l)
@@ -549,13 +549,13 @@
       zsig=zu/zm
       IF(zsig==0.) zsigp=0.1
-      if (mode==1) THEN
-         if (zsig<=zsigp) THEN
+      IF (mode==1) THEN
+         IF (zsig<=zsigp) THEN
              u_mq(ij,l)=u_m(ij,l)*zqp
-         else if (mode==1) THEN
+         ELSE IF (mode==1) THEN
              u_mq(ij,l)= &
                    sign(zm,u_m(ij,l))*(zsigp*zqp+(zsig-zsigp)*zqm)
          endif
       else
-         if (zsig<=zsigp) THEN
+         IF (zsig<=zsigp) THEN
              u_mq(ij,l)=u_m(ij,l)*(zqp-0.5*zsig/zsigp*(zqp-zq))
          else
@@ -568,5 +568,5 @@
       !    PRINT*,'au point ij=',ij,'  l=',l,'  sig=',zsig
       !    stop
-      ! endif
+      ! END IF
   enddo
   enddo
@@ -605,5 +605,5 @@
   !   indicage des mailles concernees par le traitement special
            do ij=iip2,ip1jm
-              IF(ladvplus(ij,l).and.mod(ij,iip1)/=0) THEN
+              IF(ladvplus(ij,l).AND.mod(ij,iip1)/=0) THEN
                  iju=iju+1
                  indu(iju)=ij
@@ -639,5 +639,5 @@
       ! goto 8888
             zz=0.5*(zsig-zsigd(ijq,l))/zsigg(ijq,l)
-            IF(.not.(zz>0..and.zz<=0.5)) THEN
+            IF(.NOT.(zz>0..and.zz<=0.5)) THEN
                  WRITE(lunout,*)'probleme2 au point ij=',ij, &
                        '  l=',l
@@ -669,5 +669,5 @@
         ! goto 9999
             zz=0.5*(zsig-zsigg(ijq,l))/zsigd(ijq,l)
-            IF(.not.(zz>0..and.zz<=0.5)) THEN
+            IF(.NOT.(zz>0..and.zz<=0.5)) THEN
                  WRITE(lunout,*)'probleme22 au point ij=',ij &
                        ,'  l=',l
@@ -685,5 +685,5 @@
         endif
      enddo
-  endif  ! n0.gt.0
+  ENDIF  ! n0.gt.0
 
   !   bouclage en latitude
@@ -763,14 +763,14 @@
            !    qn(ij,l)=q(ij,l)
            !    qs(ij,l)=q(ij,l)
-           ! endif
+           ! END IF
            IF(abs(zdq)>prec) THEN
               zsign(ij)=(q(ij,l)-qs(ij,l))/zdq
               zsigs(ij)=1.-zsign(ij)
-              ! IF(.not.(zsign(ij).ge.0..and.zsign(ij).le.1. .and.
+              ! IF(.NOT.(zsign(ij).ge.0..and.zsign(ij).le.1. .AND.
   !    s               zsigs(ij).ge.0..or.zsigs(ij).le.1.) ) THEN
               !    PRINT*,'probleme au point ij=',ij,'  l=',l
               !    PRINT*,'sigs=',zsigs(ij),'  sign=',zsign(ij)
               !    stop
-              ! endif
+              ! END IF
            else
               zsign(ij)=0.5
@@ -782,5 +782,5 @@
 
    do ij=1,ip1jm
-      if (v_m(ij,l)>=0.) THEN
+      IF (v_m(ij,l)>=0.) THEN
          zsigp=zsign(ij+iip1)
          zsigm=zsigs(ij+iip1)
@@ -799,5 +799,5 @@
       zsig=abs(v_m(ij,l))/zm
       IF(zsig==0.) zsigp=0.1
-      if (zsig<=zsigp) THEN
+      IF (zsig<=zsigp) THEN
           v_mq(ij,l)=v_m(ij,l)*(zqp-0.5*zsig/zsigp*(zqp-zq))
       else
@@ -890,5 +890,5 @@
            !    qh(ij,l)=q(ij,l)
            !    qb(ij,l)=q(ij,l)
-           ! endif
+           ! END IF
 
            IF(abs(zdq)>prec) THEN
@@ -907,5 +907,5 @@
    do l=2,llm
    do ij=1,ip1jmp1
-      if (w_m(ij,l)>=0.) THEN
+      IF (w_m(ij,l)>=0.) THEN
          zsigp=zsigb(ij,l)
          zsigm=zsigh(ij,l)
@@ -924,5 +924,5 @@
       zsig=abs(w_m(ij,l))/zm
       IF(zsig==0.) zsigp=0.1
-      if (zsig<=zsigp) THEN
+      IF (zsig<=zsigp) THEN
           w_mq(ij,l)=w_m(ij,l)*(zqp-0.5*zsig/zsigp*(zqp-zq))
       else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissnew.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissnew.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/comdissnew.h	(revision 5117)
@@ -17,5 +17,5 @@
       INTEGER nitergdiv, nitergrot, niterh
 
-      integer vert_prof_dissip ! vertical profile of horizontal dissipation
+      INTEGER vert_prof_dissip ! vertical profile of horizontal dissipation
 !     Allowed values:
 !     0: rational fraction, function of pressure
Index: LMDZ6/branches/Amaury_dev/libf/dyn3d_common/diagedyn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3d_common/diagedyn.f90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3d_common/diagedyn.f90	(revision 5117)
@@ -273,5 +273,5 @@
   ! ===================================
   !
-  IF ( (idiag2>0) .and. (pas(idiag2) /= 0) ) THEN
+  IF ( (idiag2>0) .AND. (pas(idiag2) /= 0) ) THEN
     d_h_vcol  = (h_vcol_tot - h_vcol_pre(idiag2) )/dtime
     d_h_dair = (h_dair_tot- h_dair_pre(idiag2))/dtime
